> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.whizcozy.com/api-reference/whiz-board-api/authentication/reset-password-api-v-1-auth-reset-password-post/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.whizcozy.com/_mcp/server. # Reset Password POST https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/auth/reset-password Content-Type: application/json Set a new password using the reset token from OTP verification. Reference: https://docs.whizcozy.com/api-reference/whiz-board-api/authentication/reset-password-api-v-1-auth-reset-password-post ## Request ### Body (application/json) This endpoint expects a ResetPasswordRequest. - `reset_token` (string, required) - `new_password` (string, required) ## Response ### 200 Successful Response - `data` (ResetPasswordResponse, required) - `status` (string, optional, default: success) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ResetPasswordResponse - `message` (string, required) ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) - `input` (any, optional) - `ctx` (ValidationErrorCtx, optional) ### ValidationErrorLocItems ### ValidationErrorCtx ## Examples **Request** ```json { "reset_token": "temporary_reset_token_here", "new_password": "newpassword123" } ``` **Response** ```json { "data": { "message": "Password reset successfully." }, "status": "success" } ``` **SDK Code** ```python import requests url = "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/auth/reset-password" payload = { "reset_token": "temporary_reset_token_here", "new_password": "newpassword123" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/auth/reset-password'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"reset_token":"temporary_reset_token_here","new_password":"newpassword123"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/auth/reset-password" payload := strings.NewReader("{\n \"reset_token\": \"temporary_reset_token_here\",\n \"new_password\": \"newpassword123\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/auth/reset-password") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"reset_token\": \"temporary_reset_token_here\",\n \"new_password\": \"newpassword123\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/auth/reset-password") .header("Content-Type", "application/json") .body("{\n \"reset_token\": \"temporary_reset_token_here\",\n \"new_password\": \"newpassword123\"\n}") .asString(); ``` ```php request('POST', 'https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/auth/reset-password', [ 'body' => '{ "reset_token": "temporary_reset_token_here", "new_password": "newpassword123" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/auth/reset-password"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"reset_token\": \"temporary_reset_token_here\",\n \"new_password\": \"newpassword123\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "reset_token": "temporary_reset_token_here", "new_password": "newpassword123" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://prod-whizboard-be-680473615767.asia-southeast1.run.app/api/v1/auth/reset-password")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```